/*
  m3_WebClient.h
  finucane@myri.com
*/

#ifndef m3_WebClient_h
#define m3_WebClient_h

#include "m3_Component.h"

class m3_WebClient : public m3_Component
{
  private:
  int fd;
  char*buffer, *tp;
  int size;
  int bytesRead;
  
  int open (int server);
  int close ();
  char*tokenize ();
  int get (int fd);
  
  public:
  m3_WebClient ();
  ~m3_WebClient ();
  char*get (int server, char*url);
  char*get (char*server, char*url);
  char*get (char*filename);
  char*token ();
  char*getMark ();
  char*setMark (char*s);
  int getServer (char*server);
  char*post (int server, char*url, int numVariables, ...);
};


#endif /*m3_WebClient_h*/
