#ifndef insist_h
#define insist_h

#if defined (INSIST)

#define insist(e) do { if (!(e) || !validComponent()) {printInsist ("%s:%d", __FILE__,__LINE__); ;goto exception;}} while (0)
#define insistf(e) do { if (!(e)) {m3_Component::printInsist ("%s:%d", __FILE__,__LINE__); goto exception;}} while (0)
#define insistp(e, s) do { if (!(e)) {printInsist s; goto exception;}} while (0)

#else
#define insist(e) do {if (0) goto exception;} while (0);
#define insistf(e) do {if (0) goto exception;} while (0);
#define insistx(e) do {if (0) goto exception;} while (0);
#define insistp(e, s) do {if (0) goto exception;} while (0);
#endif

#endif /*insist_h*/
