/*
  m3_RollcallClient.h
  class to roll call switches
  finucane@myri.com (David Finucane)
*/

#ifndef m3_RollcallClient_h
#define m3_RollcallClient_h

#include <stdarg.h>
#include "m3_Component.h"

class m3_RollcallClient : public m3_Component
{
  private:
  int fd;
  int*addresses;
  int maxAddresses;
  
  public:
  m3_RollcallClient ();
  ~m3_RollcallClient ();
  int open ();
  int close ();
  int findAddresses (int**addresses);
};


#endif /*m3_RollcallClient_h*/
