#ifndef mu_SwitchFile_h
#define mu_SwitchFile_h

#include "m3_Component.h"

class m3_SwitchFile : m3_Component
{
  private:
  int*addresses;
  int numAddresses;
  int read (char*filename, int*addresses);
  int write (char*filename, int numAddresses, int*addresses);
  
  public:
  m3_SwitchFile ();
  ~m3_SwitchFile ();
  int fromFile (char*filename, int**addresses);
  int toFile (char*filename, int numAddresses, int*addresses)
  {
    return write (filename, numAddresses, addresses);
  }
};

#endif /*m3_SwitchFile_h*/
