#include "snmp_pp.h"
#include <iostream.h>
extern "C" {
#include <sys/time.h>
#include <sys/types.h>
#include <unistd.h>
#include <iostream.h>
#include <pthread.h>
}


void snmpThread( void *ptr) {
    int *x=(int*) ptr;
    int status;
    Snmp mySnmp( status);
    Oid oid;
    oid="1.3.6.1.2.1.1.3.0";
    Vb vb;
    vb.set_oid(oid);
    Pdu pdu;
    pdu+=vb;
    CTarget t((IpAddress)"201.100.100.60");
   
    while (1) { 
      cout << "T-" << *x << " "; 
      int status = mySnmp.get( pdu,t);
      if ( status == SNMP_CLASS_SUCCESS) {  
         pdu.get_vb( vb,0);
         cout << vb.get_printable_oid() << ",";
         cout << vb.get_printable_value() << "\n\n";
         struct timeval tv;
         tv.tv_sec = 0;
         tv.tv_usec =5;
         select( 0,NULL,NULL,NULL,&tv);
      }
      else
        cout << mySnmp.error_msg( status) << "\n\n";
    }
};


main() {
   int status;
   int t1=1;
   int t2=2;
   int t3=3;
   pthread_t td1,td2,td3;               

   cout << "thread test start\n";

   pthread_create( &td1,
                   NULL,
                  (void*)&snmpThread,
                  (void*)&t1);


   pthread_create( &td2,
                   NULL,
                  (void*)&snmpThread,
                  (void*)&t2);


   pthread_create( &td3,
                   NULL,
                  (void*)&snmpThread,
                  (void*)&t3);


   while( 1)
      sleep(1);


};
